<?php

require_once("../config/conexion.php");
require_once("../models/Titulacion.php");
require_once("../models/Permisos.php");
$titulacion = new Titulacion();

switch ($_GET["op"]) {    
    case "listar":
        $datos = $titulacion->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("CALIFICACIONES", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $crear = $row["crear"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["titulaciondbk"];
            $sub_array[] = $row["estudiante"];
            $sub_array[] = $row["carrera"];
            $sub_array[] = $row["periodo"];
            $sub_array[] = $row["tipo"];
            $sub_array[] = $row["promedio"];
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminar(' . $row["titulaciondbk"] . ');" id="' . $row["titulaciondbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;    
    case "guardarP":
        $resultado = $titulacion->CalcularCreditos($_POST["carrera"],$_POST["periodo"]);
        foreach ($resultado as $row) {
            $creditos = $row["creditos"];            
        }
        $resultado = $titulacion->CalcularRecord($_POST["estudiante"],$_POST["carrera"]);
        foreach ($resultado as $row) {
            $record = $row["record"];  
            $record=number_format($record, 2, ".", ",");
        }
        $datos = array("tabla" => "titulacion",
            "titulaciondbk" => $_POST["titulaciondbk"],
            "carrera" => $_POST["carrera"],
            "estudiante" => $_POST["estudiante"],
            "tipo" => $_POST["tipo"],
            "titulo" => $_POST["titulo"],
            "tribunal" => $_POST["tribunal"],
            "oral" => $_POST["oral"],
            "periodo" => $_POST["periodo"],
            "fecha_defensa" => $_POST["fecha_defensa"],
            "fecha_acta" => $_POST["fecha_acta"],
            "acta" => $_POST["acta"],
            "expediente" => $_POST["expediente"],
            "folio" => $_POST["folio"],
            "record" => $record,
            "creditos" => $creditos
        );
        $titulacion->mdlActualizarTitulacionP($datos);
        break; 
    case "eliminar":
        $datos = $titulacion->Eliminar_por_ID($_POST["titulaciondbk"]);
        break;  
    case "guardarE":
        $resultado = $titulacion->CalcularCreditos($_POST["carreraE"],$_POST["periodoE"]);
        foreach ($resultado as $row) {
            $creditos = $row["creditos"];            
        }
        $resultado = $titulacion->CalcularRecord($_POST["estudianteE"],$_POST["carreraE"]);
        foreach ($resultado as $row) {
            $record = $row["record"];  
            $record=number_format($record, 2, ".", ",");
        }
        $datos = array("tabla" => "titulacion",
            "titulaciondbk" => $_POST["titulaciondbkE"],
            "carrera" => $_POST["carreraE"],
            "estudiante" => $_POST["estudianteE"],
            "examen" => $_POST["examen"],           
            "oral" => $_POST["oralE"],
            "periodo" => $_POST["periodoE"],
            "fecha_defensa" => $_POST["fecha_defensaE"],
            "fecha_acta" => $_POST["fecha_actaE"],
            "acta" => $_POST["actaE"],
            "expediente" => $_POST["expedienteE"],
            "folio" => $_POST["folioE"],
            "record" => $record,
            "creditos" => $creditos
        );
        $titulacion->mdlActualizarTitulacionE($datos);
        break;    
}
?>
